aboutsummaryrefslogtreecommitdiffstats
path: root/testing/obs-studio/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-12-13 11:16:25 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-12-14 15:30:16 +0000
commit3296b699ed870470e9ba92784761123598922184 (patch)
treec4b7fcecf0ca1e0f1281d66988578330c950c055 /testing/obs-studio/APKBUILD
parent6ec5a1e790c798d8f7908df6731d31c866016188 (diff)
downloadaports-3296b699ed870470e9ba92784761123598922184.tar.gz
aports-3296b699ed870470e9ba92784761123598922184.tar.bz2
aports-3296b699ed870470e9ba92784761123598922184.tar.xz
testing/obs-studio: new aport
Diffstat (limited to 'testing/obs-studio/APKBUILD')
-rw-r--r--testing/obs-studio/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/obs-studio/APKBUILD b/testing/obs-studio/APKBUILD
new file mode 100644
index 0000000000..c5a0bcfc01
--- /dev/null
+++ b/testing/obs-studio/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=obs-studio
+pkgver=0.16.6
+pkgrel=0
+pkgdesc="Free and open source software for live streaming and screen recording"
+url="https://obsproject.com/"
+arch="all"
+license="GPL2"
+makedepends="cmake ffmpeg-dev libxinerama-dev
+qt5-qtbase-dev qt5-x11extras-dev x264-dev fontconfig-dev
+libxcomposite-dev freetype-dev libx11-dev mesa-dev curl-dev
+pulseaudio-dev jack-dev vlc-dev alsa-lib-dev fdk-aac-dev speexdsp-dev
+v4l-utils-dev"
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/jp9000/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ mkdir build && cd build
+ cmake -DUNIX_STRUCTURE=1 -DCMAKE_INSTALL_PREFIX=/usr ..
+ make || return 1
+}
+
+package() {
+ cd "$builddir"/build
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="8d572fc692b75aca07bd0aa6ef008289 obs-studio-0.16.6.tar.gz"
+sha256sums="17cf6a9c2ef3ca170f64c0dfba7a5ec34f46890659dbaf930097db079c6d7c03 obs-studio-0.16.6.tar.gz"
+sha512sums="0face25f2e816a4682162f142db19fc39cc6629333fdb57c4054c4b448abeacb39e794a7f333716a387420d1c21ebafd0142dcf9d32db69a1a7575c225045d65 obs-studio-0.16.6.tar.gz"